## prometheus-alertmanager 0.21.0+ds

=== debian/changelog ===
prometheus-alertmanager (0.21.0+ds-4) unstable; urgency=medium

  * Team upload.
  * Revert "Remove unnecessary DH_GOPKG variable from debian/rules"

 -- Guillem Jover <gjover@sipwise.com>  Fri, 29 Jan 2021 01:48:05 +0100

prometheus-alertmanager (0.21.0+ds-3) unstable; urgency=medium

  * Team upload.

  [ Daniel Swarbrick ]
  * Fix invocation of uglifyjs in maintainer-provided generate-ui.sh script.
    Reported by Daniel Lo Nigro. Closes: #971637.

  [ Guillem Jover ]
  * Switch to debian/watch version 4
  * Indent debian/watch file
  * Do not enable DH_VERBOSE by default
  * Update version.BuildUser to match the Maintainer address
  * Use $(BUILDDIR) uniformly instead of the literal build/
  * Switch to dh-sequence-bash-completion
  * Remove nocheck handling from override_dh_auto_test
  * Mark -dev package as Multi-Arch:foreign
  * Use '' instead of `' in text
  * Switch from /var/run to /run
  * Move note about license location on Debian systems into a Comment field
  * Replace out-of-date Comment field about vendoring with Files-Excluded field
  * Set -dev package Section to golang
  * Switch to Standards-Version 4.5.1 (no changes needed)
  * Decapitalize synopsis first word
  * Add missing Depends on adduser in prometheus-alertmanager
  * Remove error suppression from postinst
  * Use $() instead of `` in init script
  * Remove unnecessary error suppression from init script
  * Run adduser unconditionally
  * Remove $syslog dependency from init script
  * Change systemd service Restart directive from always to on-failure
  * Fix NAME variable value in sysvinit init script
  * Rewrite init script using start-stop-daemon
  * Do not change pathname metadata if there are dpkg statoverrides in place
  * Update gitignore entries
  * Use execute_after_dh_auto_test instead of override_ and an explicit call
  * Remove unused adduser from Build-Depends
  * Remove unnecessary DH_GOPKG variable from debian/rules
  * Remove obsolete Hipchat support from default config file
  * Merge log files removal into a single entry
  * Update gitlab-ci.yml from latest upstream version

 -- Guillem Jover <gjover@sipwise.com>  Thu, 28 Jan 2021 22:27:17 +0100

prometheus-alertmanager (0.21.0+ds-2) unstable; urgency=medium

  * debian/install: rename to explicitly target binary package.
  * debian/rules: Separate install target into arch and indep, to fix
    arch-only or indep-only builds.
  * Use debianised binary name in acceptance tests.

 -- Martina Ferrari <tina@debian.org>  Mon, 22 Jun 2020 15:36:45 +0000

prometheus-alertmanager (0.21.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0 (rename systemd service file / init
    script).
  * Bump debhelper-compat version to 13.
  * Update maintainer email addresses / names.
  * Add missing build-dep golang-github-alecthomas-units-dev.
  * Add missing build-dep golang-github-oklog-run-dev.
  * Add missing build-dep golang-github-stretchr-testify-dev.
  * Add missing build-dep golang-protobuf-extensions-dev.
  * Refresh patches.
  * Drop obsolete 01-Fix_script_shebang.patch.
  * Add new 06-Backoff-v3.patch to negate superfluous API dependency bump.

 -- Martina Ferrari <tina@debian.org>  Mon, 22 Jun 2020 13:03:01 +0000
