=== debian/changelog ===
prometheus-alertmanager (0.23.0-5ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 13 Feb 2023 21:47:03 +0100

prometheus-alertmanager (0.23.0-5) unstable; urgency=medium

  * Team upload.
  * Replace obsolete golang-go-flags-dev with
    golang-github-jessevdk-go-flags-dev.
  * Sort dependencies.
  * Move installation from debian/rules to install fragment.
  * Update gbp.conf following latest Go Team workflow.
  * Do not install uninteresting documentation files.
  * Do not list directories to create that dh knows about.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 15 Mar 2022 22:46:24 +0100

prometheus-alertmanager (0.23.0-4) unstable; urgency=medium

  * Team upload.
  * Bump golang-github-go-openapi-errors-dev versioned dependency
    to (>= 0.19.5~).
  * Update debian/watch file.
  * Remove now unused Files-Excluded field from debian/copyright.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 01 Dec 2021 14:38:08 +0100

prometheus-alertmanager (0.23.0-3) unstable; urgency=medium

  * Team upload.
  * Bump golang-github-prometheus-common-dev (>= 0.32.1-4) versioned depends.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 30 Nov 2021 12:55:37 +0100

prometheus-alertmanager (0.23.0-2) unstable; urgency=medium

  * Team upload.
  * Replace golang-github-satori-go.uuid-dev with golang-github-gofrs-uuid-dev

 -- Guillem Jover <gjover@sipwise.com>  Fri, 26 Nov 2021 17:56:06 +0100

prometheus-alertmanager (0.23.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch.

  [ Guillem Jover ]
  * New upstream release.
  * Refresh debian/patches for new upstream release.
  * Update dependencies for new upstream release.
  * Update copyright years.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Add trailing comma to Build-Depends removed by the janitor.
  * Remove ${shlibs:Depends} from -dev Depends field.
  * Update default file from latest --help output.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 26 Nov 2021 00:38:42 +0100
