=== debian/rules ===
--- 
+++ 
@@ -29,8 +29,7 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang \
-	    --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 WHATIS1 := "prometheus-alertmanager \\- The Prometheus alert manager"
 WHATIS2 := "promtool \\- Tooling for the Prometheus alert manager"
@@ -74,5 +73,3 @@
 
 override_dh_auto_install-arch:
 	dh_auto_install -- --no-source
-	dh_install usr/bin/amtool
-	dh_install usr/bin/prometheus-alertmanager
