## prometheus-alertmanager 0.24.0

=== debian/changelog ===
prometheus-alertmanager (0.24.0-4) unstable; urgency=medium

  * Add new 10-Support_newer_exporter-toolkit.patch
  * Bump required golang-github-prometheus-exporter-toolkit-dev version to >=
    0.8.0
  * debian/default: update command-line flag help

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 09 Nov 2022 10:53:33 +0000

prometheus-alertmanager (0.24.0-3) unstable; urgency=medium

  * Add patch to change port used in tests. This avoids autopkgtest
    failures due to port clashes with a running alertmanager.
    Closes: #1021734

 -- Martina Ferrari <tina@debian.org>  Mon, 17 Oct 2022 23:21:45 +0000

prometheus-alertmanager (0.24.0-2) unstable; urgency=medium

  * Add new 08-Disable_network_tests.patch to disable any test(s) which
    attempt to use the network, since this is not guaranteed to be available
    in a buildd.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 20 Sep 2022 01:09:53 +0000

prometheus-alertmanager (0.24.0-1) unstable; urgency=medium

  * New upstream release
  * Add new build-dep golang-gopkg-telebot.v3-dev
  * Refresh patches
  * Bump Standards-Version to 4.6.1 (no changes)
  * Update lintian-overrides to new format

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 19 Sep 2022 17:43:20 +0000

prometheus-alertmanager (0.23.0-6) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Update my email address
  * Add new 07-Fix_config_test.patch to fix config test failures when building
    against newer golang-github-prometheus-common-dev versions
  * Drop obsolete 06-Backoff-v3.patch and specify versioned dependencies for
    golang-github-cenkalti-backoff-dev

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Set upstream metadata fields: Repository-Browse, Security-Contact.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Sep 2022 16:42:40 +0000
