=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: prometheus-alertmanager
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
-           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+           Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-bash-completion,
                dh-sequence-golang,
-               golang-any (>= 2:1.10~),
+               golang-any,
                golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
                golang-github-aws-aws-sdk-go-dev,
-               golang-github-cenkalti-backoff-dev,
+               golang-github-cenkalti-backoff-dev (>= 4.0.0~),
                golang-github-cespare-xxhash-dev,
                golang-github-go-kit-log-dev,
                golang-github-go-openapi-errors-dev (>= 0.19.5~),
@@ -23,17 +22,17 @@
                golang-github-go-openapi-swag-dev,
                golang-github-go-openapi-validate-dev (>= 0.20.3~),
                golang-github-gofrs-uuid-dev,
-               golang-github-gogo-protobuf-dev (>= 0.5),
+               golang-github-gogo-protobuf-dev,
                golang-github-hashicorp-go-sockaddr-dev,
-               golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
+               golang-github-hashicorp-memberlist-dev,
                golang-github-jessevdk-go-flags-dev,
                golang-github-kylelemons-godebug-dev,
                golang-github-oklog-run-dev,
                golang-github-oklog-ulid-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev (>= 1.3.0~),
-               golang-github-prometheus-common-dev (>= 0.32.1-4),
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.6.1~),
+               golang-github-prometheus-common-dev (>= 0.33.0~),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-github-rs-cors-dev,
                golang-github-stretchr-testify-dev,
                golang-github-xlab-treeprint-dev (>= 0.0~git20180615),
@@ -41,9 +40,10 @@
                golang-golang-x-mod-dev,
                golang-golang-x-net-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
+               golang-gopkg-telebot.v3-dev,
+               golang-gopkg-yaml.v2-dev,
                golang-protobuf-extensions-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-alertmanager
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-alertmanager.git
@@ -52,7 +52,7 @@
 
 Package: prometheus-alertmanager
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -69,7 +69,7 @@
 Multi-Arch: foreign
 Depends: golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
          golang-github-aws-aws-sdk-go-dev,
-         golang-github-cenkalti-backoff-dev,
+         golang-github-cenkalti-backoff-dev (>= 4.0.0~),
          golang-github-cespare-xxhash-dev,
          golang-github-go-kit-log-dev,
          golang-github-go-openapi-errors-dev (>= 0.19.5~),
@@ -79,26 +79,27 @@
          golang-github-go-openapi-strfmt-dev (>= 0.19.0~),
          golang-github-go-openapi-swag-dev,
          golang-github-go-openapi-validate-dev (>= 0.20.3~),
-         golang-github-gogo-protobuf-dev (>= 0.5),
+         golang-github-gofrs-uuid-dev,
+         golang-github-gogo-protobuf-dev,
          golang-github-hashicorp-go-sockaddr-dev,
-         golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
+         golang-github-hashicorp-memberlist-dev,
          golang-github-jessevdk-go-flags-dev,
          golang-github-kylelemons-godebug-dev,
          golang-github-oklog-run-dev,
          golang-github-oklog-ulid-dev,
          golang-github-pkg-errors-dev,
          golang-github-prometheus-client-golang-dev (>= 1.3.0~),
-         golang-github-prometheus-common-dev (>= 0.32.1-4),
+         golang-github-prometheus-common-dev (>= 0.33.0~),
          golang-github-prometheus-exporter-toolkit-dev (>= 0.6.1~),
          golang-github-rs-cors-dev,
-         golang-github-gofrs-uuid-dev,
          golang-github-stretchr-testify-dev,
          golang-github-xlab-treeprint-dev (>= 0.0~git20180615),
          golang-go.uber-atomic-dev,
          golang-golang-x-mod-dev,
          golang-golang-x-net-dev,
          golang-gopkg-alecthomas-kingpin.v2-dev,
-         golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
+         golang-gopkg-telebot.v3-dev,
+         golang-gopkg-yaml.v2-dev,
          golang-protobuf-extensions-dev,
          ${misc:Depends},
 Description: handle and deliver alerts created by Prometheus -- source
