=== debian/changelog ===
prometheus-alertmanager (0.25.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete patches:
    - 07-Fix_config_test.patch
    - 10-Support_newer_exporter-toolkit.patch
  * Add new 10-Revert_openapi_swaggerContext.patch
  * Add new (build-)dependencies:
    - golang-github-benbjohnson-clock-dev
    - golang-github-go-openapi-analysis-dev
    - golang-golang-x-text-dev
    - tzdata

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 03 Feb 2023 04:22:09 +0000

prometheus-alertmanager (0.24.0-5) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Enhance 10-Support_newer_exporter-toolkit.patch to remove the redundant
    logging of the listener address
  * Refactor handling of default notification templates in
    02-Do_not_embed_blobs.patch, and additionally ship email.tmpl in package
    (Closes: #1023790)

  [ Guillem Jover ]
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 03 Feb 2023 02:39:37 +0000
