=== debian/control ===
--- 
+++ 
@@ -11,9 +11,11 @@
                golang-any,
                golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
                golang-github-aws-aws-sdk-go-dev,
+               golang-github-benbjohnson-clock-dev,
                golang-github-cenkalti-backoff-dev (>= 4.0.0~),
                golang-github-cespare-xxhash-dev,
                golang-github-go-kit-log-dev,
+               golang-github-go-openapi-analysis-dev,
                golang-github-go-openapi-errors-dev (>= 0.19.5~),
                golang-github-go-openapi-loads-dev,
                golang-github-go-openapi-runtime-dev (>= 0.21.0~),
@@ -39,10 +41,12 @@
                golang-go.uber-atomic-dev,
                golang-golang-x-mod-dev,
                golang-golang-x-net-dev,
+               golang-golang-x-text-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-telebot.v3-dev,
                golang-gopkg-yaml.v2-dev,
                golang-protobuf-extensions-dev,
+               tzdata,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-alertmanager
@@ -54,6 +58,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
+         tzdata,
          ${misc:Depends},
          ${shlibs:Depends},
 Built-Using: ${misc:Built-Using},
@@ -69,9 +74,11 @@
 Multi-Arch: foreign
 Depends: golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
          golang-github-aws-aws-sdk-go-dev,
+         golang-github-benbjohnson-clock-dev,
          golang-github-cenkalti-backoff-dev (>= 4.0.0~),
          golang-github-cespare-xxhash-dev,
          golang-github-go-kit-log-dev,
+         golang-github-go-openapi-analysis-dev,
          golang-github-go-openapi-errors-dev (>= 0.19.5~),
          golang-github-go-openapi-loads-dev,
          golang-github-go-openapi-runtime-dev (>= 0.21.0~),
@@ -97,10 +104,12 @@
          golang-go.uber-atomic-dev,
          golang-golang-x-mod-dev,
          golang-golang-x-net-dev,
+         golang-golang-x-text-dev,
          golang-gopkg-alecthomas-kingpin.v2-dev,
          golang-gopkg-telebot.v3-dev,
          golang-gopkg-yaml.v2-dev,
          golang-protobuf-extensions-dev,
+         tzdata,
          ${misc:Depends},
 Description: handle and deliver alerts created by Prometheus -- source
  The Alertmanager handles alerts sent by client applications such as the
