=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DH_GOPKG := github.com/prometheus/alertmanager
 export DH_GOLANG_EXCLUDES := test/.*/acceptance examples asset
 export DH_GOLANG_EXCLUDES_ALL := 0
-export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl ui/app
+export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl template/email.tmpl ui/app
 
 BUILDDIR := $(CURDIR)/build
 METAPKG := github.com/prometheus/common
@@ -32,7 +32,7 @@
 	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 WHATIS1 := "prometheus-alertmanager \\- The Prometheus alert manager"
-WHATIS2 := "promtool \\- Tooling for the Prometheus alert manager"
+WHATIS2 := "amtool \\- Tooling for the Prometheus alert manager"
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
