## prometheus-alertmanager 0.25.0+ds

=== debian/changelog ===
prometheus-alertmanager (0.25.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Re-introduce +ds version suffix, since we now strip some files from the
    upstream original.
  * Bump Standards-Version to 4.6.2 (no changes)
  * Drop redundant version constraint for golang-github-alecthomas-units-dev

  [ Martina Ferrari ]
  * debian/generate-ui.sh:
    - fix failing script, thanks to Ian Kelling <iank@fsf.org> for the patch.
      Closes: #1037356.
    - various additional fixes.
  * Remove vendored font-awesome and bootstrap library.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 14 Jul 2023 16:38:14 +0000
