=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-bash-completion,
                dh-sequence-golang,
                golang-any,
-               golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
+               golang-github-alecthomas-units-dev,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-benbjohnson-clock-dev,
                golang-github-cenkalti-backoff-dev (>= 4.0.0~),
@@ -47,7 +47,7 @@
                golang-gopkg-yaml.v2-dev,
                golang-protobuf-extensions-dev,
                tzdata,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-alertmanager
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-alertmanager.git
@@ -72,7 +72,7 @@
 Section: golang
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb~),
+Depends: golang-github-alecthomas-units-dev,
          golang-github-aws-aws-sdk-go-dev,
          golang-github-benbjohnson-clock-dev,
          golang-github-cenkalti-backoff-dev (>= 4.0.0~),
