## prometheus-alertmanager 0.26.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-alertmanager
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
@@ -26,6 +27,7 @@
                golang-github-gofrs-uuid-dev,
                golang-github-gogo-protobuf-dev,
                golang-github-hashicorp-go-sockaddr-dev,
+               golang-github-hashicorp-golang-lru-v2-dev,
                golang-github-hashicorp-memberlist-dev,
                golang-github-jessevdk-go-flags-dev,
                golang-github-kylelemons-godebug-dev,
@@ -89,6 +91,7 @@
          golang-github-gofrs-uuid-dev,
          golang-github-gogo-protobuf-dev,
          golang-github-hashicorp-go-sockaddr-dev,
+         golang-github-hashicorp-golang-lru-v2-dev,
          golang-github-hashicorp-memberlist-dev,
          golang-github-jessevdk-go-flags-dev,
          golang-github-kylelemons-godebug-dev,
