## prometheus-alertmanager 0.26.0+ds

=== Makefile ===
--- 
+++ 
@@ -60,5 +60,6 @@
 .PHONY: clean
 clean:
 	- @rm -rf asset/assets_vfsdata.go \
+                  template/email.tmpl \
                   api/v2/models api/v2/restapi api/v2/client
 	- @cd $(FRONTEND_DIR) && $(MAKE) clean
