=== debian/changelog ===
prometheus-alertmanager (0.26.0+ds-1) unstable; urgency=medium

  * New upstream release (fixes CVE-2023-40577)
  * Add new dependency golang-github-hashicorp-golang-lru-v2-dev
  * debian/copyright: drop superfluous trailing slashes in Files-Excluded
  * debian/rules: modernize style to match other exporter packages
  * Drop obsolete 09-Avoid_port_clash.patch
  * Convert patches to gbp-pq format
  * Add new 0007-Revert-kingpin.v2-import-path.patch
  * Drop obsolete lintian overrides
  * Refresh default alertmanager.yml config

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 26 Aug 2023 15:50:44 +0000
