=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-alertmanager
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
