## prometheus-alertmanager 0.27.0+ds

=== debian/changelog ===
prometheus-alertmanager (0.27.0+ds-2ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 01 Jul 2025 13:02:48 +1000

prometheus-alertmanager (0.27.0+ds-2) unstable; urgency=medium

  * Add new 0008-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Mar 2024 13:39:20 +0000

prometheus-alertmanager (0.27.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add new 0008-Disable-React-app.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 06 Mar 2024 21:20:49 +0000
