=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-alertmanager
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
@@ -33,7 +34,7 @@
                golang-github-oklog-run-dev,
                golang-github-oklog-ulid-dev,
                golang-github-pkg-errors-dev,
-               golang-github-prometheus-client-golang-dev (>= 1.3.0~),
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev (>= 0.33.0~),
                golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-github-rs-cors-dev,
@@ -97,7 +98,7 @@
          golang-github-oklog-run-dev,
          golang-github-oklog-ulid-dev,
          golang-github-pkg-errors-dev,
-         golang-github-prometheus-client-golang-dev (>= 1.3.0~),
+         golang-github-prometheus-client-golang-dev (>= 1.19.0),
          golang-github-prometheus-common-dev (>= 0.33.0~),
          golang-github-prometheus-exporter-toolkit-dev (>= 0.6.1~),
          golang-github-rs-cors-dev,
