=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # Acceptance tests need to be run separately.
 export DH_GOPKG := github.com/prometheus/alertmanager
-export DH_GOLANG_EXCLUDES := test/.*/acceptance examples asset
+export DH_GOLANG_EXCLUDES := asset examples test/.*/acceptance ui/react-app
 export DH_GOLANG_EXCLUDES_ALL := 0
 export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl template/email.tmpl ui/app
